Add Trusted Domain
Adds a Trusted Domain to the instance. By default the instance will be determined by the context of the request, e.g. the host header. You can optionally pass an InstanceID to list the domains of a specific instance. This requires additional permissions.
It must be a valid domain name. Once the domain is added, it can be used in API responses like OIDC discovery, email templates, and more. This can be used in cases where the API is accessed through a different domain than the Custom Domain, e.g. proxy setups and custom login UIs. Unlike Custom Domains, Trusted Domains are not used to route requests to this instance and therefore do not need to be uniquely assigned to an instance.
Required permissions:
iam.writesystem.instance.write(if InstanceID is set)
Header Parameters
Define the version of the Connect protocol
1Define the timeout, in ms
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://loading/zitadel.instance.v2.InstanceService/AddTrustedDomain" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{ "trustedDomain": "string" }'{
"creationDate": "2023-01-15T01:30:15.01Z"
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}Was this page helpful?
Add Custom Domain
Add Custom Domain: Adds a Custom Domain to the instance. The Custom Domain must be unique across all instances. Once the domain is added, it will be used to route requests to this instance. This method requires syste...
Delete Instance
Delete Instance: Deletes an instance with the given ID. This method requires system level permissions and cannot be called from an instance context. Required permissions: